/*
 * Name:    mptk.h
 *
 * Purpose: MX Python module interface to Tkinter.
 *
 * Author:  William Lavender
 *
 *---------------------------------------------------------------------------
 *
 * Copyright 2002 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MPTK_H__
#define __MPTK_H__

/* Module initialization function. */

MX_API void initMpTkPrivate( void );

/* Module functions. */

MX_API mx_status_type MpTkPrivate_process_tkinter_events( void );

MX_API PyObject *MpTkPrivate_install_user_interrupt_handler_cmd( PyObject *self,
							PyObject *args );

MX_API PyObject *MpTkPrivate_install_output_handlers_cmd( PyObject *self, 
							PyObject *args );

MX_API PyObject *MpTkPrivate_install_dialog_handler_cmd( PyObject *self, 
							PyObject *args );

#endif /* __MPTK_H__ */

