#
#  Name:    MpTk.py
#
#  Purpose: This Python module implements some helper functions for
#           using MX with Tkinter.
#
#  Author:  William Lavender
#
#-----------------------------------------------------------------------
#
#  Copyright 2002 Illinois Institute of Technology
#
#  See the file "LICENSE" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

import MpTkPrivate

#
#  Initialize the module variables
#

_user_interrupt = 0

_log_window = None

#
#  Module procedures
#

def install_user_interrupt_handler():
	MpTkPrivate.install_user_interrupt_handler

def install_output_handlers( window ):
	_log_window = window

	MpTkPrivate.install_output_handlers( _log_window )

def install_dialog_handler():
	MpTkPrivate.install_dialog_handler

